System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Constraint System.ComponentModel.DefaultProperty("ConstraintName") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.UniqueConstraintEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The is enforced on a single column (or columns) to ensure that a primary key value is unique.

Constraints are not enforced unless the property is set to true.

When the a is merged with a second , constraints are not enforced until all merges are completed.

Represents a restriction on a set of columns in which all values must be unique.

- Constructor
  To be added

  Initializes a new instance of the class with the specified .

  The to constrain.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the given array of objects.

  The array of objects to constrain.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the to constrain, and a value specifying whether the constraint is a primary key.

  The to constrain.
  true to indicate that the constraint is a primary key; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with an array of objects to constrain, and a value specifying whether the constraint is a primary key.

  An array of objects to constrain.
  true to indicate that the constraint is a primary key; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name and .

  The name of the constraint.
  The to constrain.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name and array of objects.

  The name of the constraint.
  The array of objects to constrain.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name, the to constrain, and a value specifying whether the constraint is a primary key.

  The name of the constraint.
  The to constrain.
  true to indicate that the constraint is a primary key; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified name, an array of objects to constrain, and a value specifying whether the constraint is a primary key.

  The name of the constraint.
  An array of objects to constrain.
  true to indicate that the constraint is a primary key; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is provided for design time support in the Visual Studio .NET environment. objects created by using this constructor must then be added to the collection via . Columns with the specified names must exist at the time the method is called, or if has been called prior to calling this constructor, the columns with the specified names must exist at the time that is called.

  Initializes a new instance of the class with the specified name, an array of objects to constrain, and a value specifying whether the constraint is a primary key.

  The name of the constraint.
  An array of objects to constrain.
  true to indicate that the constraint is a primary key; otherwise, false.
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Data.DataColumn[] To be added: an object of type 'DataColumn []' To be added

  Gets the array of columns that this constraint affects.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)
- Method
  System.Boolean ``

  Two constraints are equal if they constrain the same columns.

  Compares this constraint to a second to determine if both are identical.

  true, if the contraints are equal; otherwise, false.

  The object to which this is compared. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code of this instance of the object.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  A table usually includes a primary key that ensures every row is unique. In some tables, the primary key may be made up of more than one column. For example, a primary key for a table containing names might be made up of both the first and last names as well. To create a primary key with more than one column, set the Columns property to an array of DataColumn objects.

  Gets a value indicating whether or not the constraint is on a primary key.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataTable To be added: an object of type 'DataTable' To be added

  Gets the table to which this constraint belongs.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.ReadOnly(true)